/*
 * Copyright (c) 2010-2012 The Amdatu Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.amdatu.multitenant.itest.impl;

import org.amdatu.multitenant.Constants;
import org.amdatu.multitenant.itest.MyDependencyService;
import org.osgi.framework.ServiceRegistration;
import org.osgi.service.log.LogService;

/**
 * @author <a href="mailto:amdatu-developers@amdatu.org">Amdatu Project Team</a>
 */
public class MyDependencyServiceImpl implements MyDependencyService {
    private volatile ServiceRegistration m_serviceReg;
    private volatile LogService m_logger;

    public String saySomething() {
        m_logger.log(LogService.LOG_INFO, "MDSI: saySomething called!");

        return String.format("[%s]",
            m_serviceReg.getReference().getProperty(Constants.PID_KEY));
    }
}
